Subject: bug#78421: Occasional crashes when resuming from software suspend

From: "Leo Famulari" <[email-masked]>
Date: Thu, 15 May 2025 10:56:26 -0400

On Wed, May 14, 2025, at 04:34, Ludovic Courtès wrote:
> With Linux-libre 6.14.5-gnu (commit
> 300d29e69988caf23684f08effa51f621c7ec083), my laptop occasionally
> crashes when resuming from software suspend: blank screen, does not
> answer to pings, cannot switch ttys, etc. and hard shutdown is the only
> way out.  /var/log/messages shows software suspend but does not contain
> a single line corresponding to resuming:

What hardware do you see this on?

On my Thinkpad x260 with an Intel i5, resume stopped working for me in 6.1, and I'm still using 5.15. The failures are not deterministic for me. Sometimes it works.

I found scattered reports about this with no conclusive analysis, so I'm planning to replace the computer before 5.15 becomes unsupported.